<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="cartForm">
    <ion-list *ngIf="cart.items.length;else noItems">
      <ion-item class="ion-no-padding no-ripple">
        <ion-grid formArrayName="products">
          <ion-row
            [formGroupName]="i"
            *ngFor="let productControl of cartForm.get('products')['controls']; let i = index"
          >
            <ion-col size="1">
              <ion-checkbox
                color="dark"
                formControlName="isChecked"
                (click)="toggleCheckbox(i)"
              ></ion-checkbox>
            </ion-col>
            <ion-col size="3" (click)="openProductInfo(cart.items[i])">
              <ion-img
                [src]="cart.items[i].image.path"
                [alt]="cart.items[i].image.placeholder"
              ></ion-img>
            </ion-col>
            <ion-col class="ion-align-self-start">
              <ion-label>
                <h3>
                  {{ cart.items[i].name }}
                  <span style="margin-left: 5px">
                    <ion-icon
                      color="danger"
                      name="trash"
                      (click)="removeFromCart(cart.items[i], i)"
                    ></ion-icon>
                  </span>
                </h3>
                <p>₱{{ cart.items[i].price }}</p>
                <ion-row>
                  <ion-col size="1"></ion-col>
                  <ion-col style="font-size: 12px" size="3">Quantity:</ion-col>
                  <ion-col size="1"></ion-col>
                  <ion-col size="2">
                    <ion-icon
                      name="remove"
                      (click)="subtractQuantity(i)"
                    ></ion-icon>
                  </ion-col>
                  <ion-col size="3">
                    <span style="font-size: 13px"
                      >{{ cart.items[i].quantity }} {{ cart.items[i].quantity >
                      1 ? 'pcs' : 'pc' }}</span
                    >
                  </ion-col>
                  <ion-col>
                    <ion-icon name="add" (click)="addQuantity(i)"></ion-icon
                  ></ion-col>
                </ion-row>
              </ion-label>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>
    <ng-template #noItems>
      <h1 class="ion-text-center">No items in cart...</h1>
    </ng-template>
  </form>
</ion-content>

<ion-footer *ngIf="cart.items.length">
  <ion-toolbar>
    <ion-row>
      <ion-col size="3">
        <ion-row>
          <ion-col size="5">
            <ion-checkbox
              color="dark"
              [(ngModel)]="cart.checkboxAll"
              (click)="toggleCheckboxAll()"
            ></ion-checkbox>
          </ion-col>
          <ion-col size="7">
            <span>All</span>
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col size="5">
        <ion-row *ngIf="cart.total" style="font-size: 9px"
          >Shipping: ₱50.00 - ₱250.00</ion-row
        >
        <ion-row style="margin-top: 0.3rem"
          >Total:
          <span style="margin-left: 0.3rem"
            >₱{{ cart.total | number:'.2' }}</span
          ></ion-row
        >
      </ion-col>
      <ion-col>
        <ion-button
          size="small"
          color="success"
          style="text-transform: none"
          (click)="checkoutClicked()"
          >Checkout</ion-button
        >
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-footer>
